Xalan-Java 2.7.1: Class AdaptiveResultTreeImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class AdaptiveResultTreeImpl

    java.lang.Object
      |
      +--org.apache.xml.serializer.EmptySerializer
            |
            +--org.apache.xalan.xsltc.dom.SimpleResultTreeImpl
                  |
                  +--org.apache.xalan.xsltc.dom.AdaptiveResultTreeImpl

public class AdaptiveResultTreeImpl
extends SimpleResultTreeImpl

AdaptiveResultTreeImpl is a adaptive DOM model for result tree fragments (RTF). It is used in the case where the RTF is likely to be pure text yet it can still be a DOM tree. It is designed for RTFs which have <xsl:call-template> or <xsl:apply-templates> in the contents. Example:

        <xsl:variable name = "x">
          <xsl:call-template name = "test">
             <xsl:with-param name="a" select="."/>
          </xsl:call-template>
        </xsl:variable>

In this example the result produced by is likely to be a single Text node. But it can also be a DOM tree. This kind of RTF cannot be modelled by SimpleResultTreeImpl.

AdaptiveResultTreeImpl can be considered as a smart switcher between SimpleResultTreeImpl and SAXImpl. It treats the RTF as simple Text and uses the SimpleResultTreeImpl model at the beginning. However, if it receives a call which indicates that this is a DOM tree (e.g. startElement), it will automatically transform itself into a wrapper around a SAXImpl. In this way we can have a light-weight model when the result only contains simple text, while at the same time it still works when the RTF is a DOM tree.

All methods in this class are overridden to delegate the action to the wrapped SAXImpl object if it is non-null, or delegate the action to the SimpleResultTreeImpl if there is no wrapped SAXImpl.

%REVISIT% Can we combine this class with SimpleResultTreeImpl? I think it is possible, but it will make SimpleResultTreeImpl more expensive. I will use two separate classes at this time.

Inner classes inherited from class org.apache.xalan.xsltc.dom.SimpleResultTreeImpl
`SimpleResultTreeImpl.SimpleIterator, SimpleResultTreeImpl.SingletonIterator`

Fields inherited from class org.apache.xalan.xsltc.dom.SimpleResultTreeImpl
`NUMBER_OF_NODES, RTF_ROOT, RTF_TEXT`

Constructor Summary
`AdaptiveResultTreeImpl(XSLTCDTMManager dtmManager, int documentID, DTMWSFilter wsfilter, int initSize, boolean buildIdIndex)`

Method Summary
`void` | `addAttribute(java.lang.String name, java.lang.String value)`
`void` | `addUniqueAttribute(java.lang.String qName, java.lang.String value, int flags)`
`void` | `appendChild(int newChild, boolean clone, boolean cloneDepth)`
`void` | `appendTextChild(java.lang.String str)`
`void` | `characters(char[] ch, int offset, int length)`
`void` | `characters(int node, SerializationHandler handler)` Dispatch the character content of a node to an output handler.
`void` | `characters(java.lang.String str)`
`void` | `comment(char[] chars, int offset, int length)`
`void` | `comment(java.lang.String comment)`
`void` | `copy(DTMAxisIterator nodes, SerializationHandler handler)`
`void` | `copy(int node, SerializationHandler handler)`
`void` | `dispatchCharactersEvents(int nodeHandle, ContentHandler ch, boolean normalize)`
`void` | `dispatchToEvents(int nodeHandle, ContentHandler ch)`
`void` | `documentRegistration()`
`void` | `documentRelease()`
`void` | `endDocument()`
`void` | `endElement(java.lang.String elementName)`
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`int` | `getAttributeNode(int gType, int element)`
`int` | `getAttributeNode(int elementHandle, java.lang.String namespaceURI, java.lang.String name)`
`DTMAxisIterator` | `getAxisIterator(int axis)`
`DTMAxisTraverser` | `getAxisTraverser(int axis)`
`DTMAxisIterator` | `getChildren(int node)`
`ContentHandler` | `getContentHandler()`
`DeclHandler` | `getDeclHandler()`
`int` | `getDocument()`
`boolean` | `getDocumentAllDeclarationsProcessed()`
`java.lang.String` | `getDocumentBaseURI()`
`java.lang.String` | `getDocumentEncoding(int nodeHandle)`
`int` | `getDocumentRoot(int nodeHandle)`
`java.lang.String` | `getDocumentStandalone(int nodeHandle)`
`java.lang.String` | `getDocumentSystemIdentifier(int nodeHandle)`
`java.lang.String` | `getDocumentTypeDeclarationPublicIdentifier()`
`java.lang.String` | `getDocumentTypeDeclarationSystemIdentifier()`
`java.lang.String` | `getDocumentURI(int node)`
`java.lang.String` | `getDocumentVersion(int documentHandle)`
`DTDHandler` | `getDTDHandler()`
`int` | `getElementById(java.lang.String elementId)`
`Hashtable` | `getElementsWithIDs()`
`EntityResolver` | `getEntityResolver()`
`ErrorHandler` | `getErrorHandler()`
`int` | `getExpandedTypeID(int nodeHandle)`
`int` | `getExpandedTypeID(java.lang.String namespace, java.lang.String localName, int type)`
`int` | `getFirstAttribute(int nodeHandle)`
`int` | `getFirstChild(int nodeHandle)`
`int` | `getFirstNamespaceNode(int nodeHandle, boolean inScope)`
`DTMAxisIterator` | `getIterator()`
`java.lang.String` | `getLanguage(int node)`
`int` | `getLastChild(int nodeHandle)`
`short` | `getLevel(int nodeHandle)`
`LexicalHandler` | `getLexicalHandler()`
`java.lang.String` | `getLocalName(int nodeHandle)`
`java.lang.String` | `getLocalNameFromExpandedNameID(int ExpandedNameID)`
`DTMAxisIterator` | `getNamespaceAxisIterator(int axis, int ns)`
`java.lang.String` | `getNamespaceFromExpandedNameID(int ExpandedNameID)`
`java.lang.String` | `getNamespaceName(int node)`
`int` | `getNamespaceType(int node)`
`java.lang.String` | `getNamespaceURI(int nodeHandle)`
`DOM` | `getNestedDOM()`
`int` | `getNextAttribute(int nodeHandle)`
`int` | `getNextNamespaceNode(int baseHandle, int namespaceHandle, boolean inScope)`
`int` | `getNextSibling(int nodeHandle)`
`Node` | `getNode(int nodeHandle)`
`int` | `getNodeHandle(int nodeId)` Return the node handle from a node identity.
`int` | `getNodeIdent(int nodehandle)` Return the node identity from a node handle.
`java.lang.String` | `getNodeName(int node)`
`java.lang.String` | `getNodeNameX(int node)`
`short` | `getNodeType(int nodeHandle)`
`java.lang.String` | `getNodeValue(int nodeHandle)`
`DTMAxisIterator` | `getNodeValueIterator(DTMAxisIterator iter, int returnType, java.lang.String value, boolean op)`
`int` | `getNSType(int node)`
`DTMAxisIterator` | `getNthDescendant(int node, int n, boolean includeself)`
`SerializationHandler` | `getOutputDomBuilder()`
`int` | `getOwnerDocument(int nodeHandle)`
`int` | `getParent(int nodeHandle)`
`java.lang.String` | `getPrefix(int nodeHandle)`
`int` | `getPreviousSibling(int nodeHandle)`
`DOM` | `getResultTreeFrag(int initialSize, int rtfType)`
`int` | `getSize()`
`SourceLocator` | `getSourceLocatorFor(int node)`
`java.lang.String` | `getStringValue()`
`XMLString` | `getStringValue(int nodeHandle)`
`char[]` | `getStringValueChunk(int nodeHandle, int chunkIndex, int[] startAndLen)`
`int` | `getStringValueChunkCount(int nodeHandle)`
`java.lang.String` | `getStringValueX(int nodeHandle)`
`DTMAxisIterator` | `getTypedAxisIterator(int axis, int type)`
`DTMAxisIterator` | `getTypedChildren(int type)`
`java.lang.String` | `getUnparsedEntityURI(java.lang.String name)`
`boolean` | `hasChildNodes(int nodeHandle)`
`boolean` | `isAttribute(int node)`
`boolean` | `isAttributeSpecified(int attributeHandle)`
`boolean` | `isCharacterElementContentWhitespace(int nodeHandle)`
`boolean` | `isDocumentAllDeclarationsProcessed(int documentHandle)`
`boolean` | `isElement(int node)`
`boolean` | `isNodeAfter(int firstNodeHandle, int secondNodeHandle)`
`boolean` | `isSupported(java.lang.String feature, java.lang.String version)`
`boolean` | `lessThan(int node1, int node2)`
`java.lang.String` | `lookupNamespace(int node, java.lang.String prefix)`
`Node` | `makeNode(DTMAxisIterator iter)`
`Node` | `makeNode(int index)`
`NodeList` | `makeNodeList(DTMAxisIterator iter)`
`NodeList` | `makeNodeList(int index)`
`void` | `namespaceAfterStartElement(java.lang.String prefix, java.lang.String uri)`
`boolean` | `needsTwoThreads()`
`DTMAxisIterator` | `orderNodes(DTMAxisIterator source, int node)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setDocumentBaseURI(java.lang.String baseURI)`
`boolean` | `setEscaping(boolean escape)`
`void` | `setFeature(java.lang.String featureId, boolean state)` Implementation of the DTM interfaces
`void` | `setFilter(StripFilter filter)`
`void` | `setProperty(java.lang.String property, java.lang.Object value)`
`void` | `setupMapping(java.lang.String[] names, java.lang.String[] uris, int[] types, java.lang.String[] namespaces)`
`java.lang.String` | `shallowCopy(int node, SerializationHandler handler)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String elementName)`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, Attributes attributes)`
`boolean` | `supportsPreStripping()`

Methods inherited from class org.apache.xalan.xsltc.dom.SimpleResultTreeImpl
`getDTMManager, getResultTreeFrag, migrateTo`

Methods inherited from class org.apache.xml.serializer.EmptySerializer
`addAttribute, addAttribute, addAttributes, addXSLAttribute, asContentHandler, asDOM3Serializer, asDOMSerializer, attributeDecl, characters, close, elementDecl, endCDATA, endDTD, endEntity, endPrefixMapping, entityReference, error, externalEntityDecl, fatalError, flushPending, getDoctypePublic, getDoctypeSystem, getEncoding, getIndent, getIndentAmount, getMediaType, getNamespaceMappings, getNamespaceURI, getNamespaceURIFromPrefix, getOmitXMLDeclaration, getOutputFormat, getOutputProperty, getOutputPropertyDefault, getOutputStream, getPrefix, getStandalone, getTransformer, getVersion, getWriter, ignorableWhitespace, internalEntityDecl, notationDecl, reset, serialize, setCdataSectionElements, setCdataSectionElements, setContentHandler, setDoctype, setDoctypePublic, setDoctypeSystem, setDocumentLocator, setDTDEntityExpansion, setEncoding, setIndent, setIndentAmount, setMediaType, setNamespaceMappings, setOmitXMLDeclaration, setOutputFormat, setOutputProperty, setOutputPropertyDefault, setOutputStream, setSourceLocator, setStandalone, setTransformer, setVersion, setWriter, skippedEntity, startCDATA, startDTD, startEntity, startPrefixMapping, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaptiveResultTreeImpl

    public AdaptiveResultTreeImpl(XSLTCDTMManager dtmManager,
                                  int documentID,
                                  DTMWSFilter wsfilter,
                                  int initSize,
                                  boolean buildIdIndex)

Method Detail

### getNestedDOM

    public DOM getNestedDOM()

### getDocument

    public int getDocument()

  Overrides:
    getDocument in class SimpleResultTreeImpl

### getStringValue

    public java.lang.String getStringValue()

  Overrides:
    getStringValue in class SimpleResultTreeImpl

### getIterator

    public DTMAxisIterator getIterator()

  Overrides:
    getIterator in class SimpleResultTreeImpl

### getChildren

    public DTMAxisIterator getChildren(int node)

  Overrides:
    getChildren in class SimpleResultTreeImpl

### getTypedChildren

    public DTMAxisIterator getTypedChildren(int type)

  Overrides:
    getTypedChildren in class SimpleResultTreeImpl

### getAxisIterator

    public DTMAxisIterator getAxisIterator(int axis)

  Overrides:
    getAxisIterator in class SimpleResultTreeImpl

### getTypedAxisIterator

    public DTMAxisIterator getTypedAxisIterator(int axis,
                                                int type)

  Overrides:
    getTypedAxisIterator in class SimpleResultTreeImpl

### getNthDescendant

    public DTMAxisIterator getNthDescendant(int node,
                                            int n,
                                            boolean includeself)

  Overrides:
    getNthDescendant in class SimpleResultTreeImpl

### getNamespaceAxisIterator

    public DTMAxisIterator getNamespaceAxisIterator(int axis,
                                                    int ns)

  Overrides:
    getNamespaceAxisIterator in class SimpleResultTreeImpl

### getNodeValueIterator

    public DTMAxisIterator getNodeValueIterator(DTMAxisIterator iter,
                                                int returnType,
                                                java.lang.String value,
                                                boolean op)

  Overrides:
    getNodeValueIterator in class SimpleResultTreeImpl

### orderNodes

    public DTMAxisIterator orderNodes(DTMAxisIterator source,
                                      int node)

  Overrides:
    orderNodes in class SimpleResultTreeImpl

### getNodeName

    public java.lang.String getNodeName(int node)

  Overrides:
    getNodeName in class SimpleResultTreeImpl

### getNodeNameX

    public java.lang.String getNodeNameX(int node)

  Overrides:
    getNodeNameX in class SimpleResultTreeImpl

### getNamespaceName

    public java.lang.String getNamespaceName(int node)

  Overrides:
    getNamespaceName in class SimpleResultTreeImpl

### getExpandedTypeID

    public int getExpandedTypeID(int nodeHandle)

  Overrides:
    getExpandedTypeID in class SimpleResultTreeImpl

### getNamespaceType

    public int getNamespaceType(int node)

  Overrides:
    getNamespaceType in class SimpleResultTreeImpl

### getParent

    public int getParent(int nodeHandle)

  Overrides:
    getParent in class SimpleResultTreeImpl

### getAttributeNode

    public int getAttributeNode(int gType,
                                int element)

  Overrides:
    getAttributeNode in class SimpleResultTreeImpl

### getStringValueX

    public java.lang.String getStringValueX(int nodeHandle)

  Overrides:
    getStringValueX in class SimpleResultTreeImpl

### copy

    public void copy(int node,
                     SerializationHandler handler)
              throws TransletException

  Overrides:
    copy in class SimpleResultTreeImpl

### copy

    public void copy(DTMAxisIterator nodes,
                     SerializationHandler handler)
              throws TransletException

  Overrides:
    copy in class SimpleResultTreeImpl

### shallowCopy

    public java.lang.String shallowCopy(int node,
                                        SerializationHandler handler)
                                 throws TransletException

  Overrides:
    shallowCopy in class SimpleResultTreeImpl

### lessThan

    public boolean lessThan(int node1,
                            int node2)

  Overrides:
    lessThan in class SimpleResultTreeImpl

### characters

    public void characters(int node,
                           SerializationHandler handler)
                    throws TransletException

  Dispatch the character content of a node to an output handler. The escape setting should be taken care of when outputting to a handler.
  Overrides:
    characters in class SimpleResultTreeImpl

### makeNode

    public Node makeNode(int index)

  Overrides:
    makeNode in class SimpleResultTreeImpl

### makeNode

    public Node makeNode(DTMAxisIterator iter)

  Overrides:
    makeNode in class SimpleResultTreeImpl

### makeNodeList

    public NodeList makeNodeList(int index)

  Overrides:
    makeNodeList in class SimpleResultTreeImpl

### makeNodeList

    public NodeList makeNodeList(DTMAxisIterator iter)

  Overrides:
    makeNodeList in class SimpleResultTreeImpl

### getLanguage

    public java.lang.String getLanguage(int node)

  Overrides:
    getLanguage in class SimpleResultTreeImpl

### getSize

    public int getSize()

  Overrides:
    getSize in class SimpleResultTreeImpl

### getDocumentURI

    public java.lang.String getDocumentURI(int node)

  Overrides:
    getDocumentURI in class SimpleResultTreeImpl

### setFilter

    public void setFilter(StripFilter filter)

  Overrides:
    setFilter in class SimpleResultTreeImpl

### setupMapping

    public void setupMapping(java.lang.String[] names,
                             java.lang.String[] uris,
                             int[] types,
                             java.lang.String[] namespaces)

  Overrides:
    setupMapping in class SimpleResultTreeImpl

### isElement

    public boolean isElement(int node)

  Overrides:
    isElement in class SimpleResultTreeImpl

### isAttribute

    public boolean isAttribute(int node)

  Overrides:
    isAttribute in class SimpleResultTreeImpl

### lookupNamespace

    public java.lang.String lookupNamespace(int node,
                                            java.lang.String prefix)
                                     throws TransletException

  Overrides:
    lookupNamespace in class SimpleResultTreeImpl

### getNodeIdent

    public final int getNodeIdent(int nodehandle)

  Return the node identity from a node handle.
  Overrides:
    getNodeIdent in class SimpleResultTreeImpl

### getNodeHandle

    public final int getNodeHandle(int nodeId)

  Return the node handle from a node identity.
  Overrides:
    getNodeHandle in class SimpleResultTreeImpl

### getResultTreeFrag

    public DOM getResultTreeFrag(int initialSize,
                                 int rtfType)

  Overrides:
    getResultTreeFrag in class SimpleResultTreeImpl

### getOutputDomBuilder

    public SerializationHandler getOutputDomBuilder()

  Overrides:
    getOutputDomBuilder in class SimpleResultTreeImpl

### getNSType

    public int getNSType(int node)

  Overrides:
    getNSType in class SimpleResultTreeImpl

### getUnparsedEntityURI

    public java.lang.String getUnparsedEntityURI(java.lang.String name)

  Overrides:
    getUnparsedEntityURI in class SimpleResultTreeImpl

### getElementsWithIDs

    public Hashtable getElementsWithIDs()

  Overrides:
    getElementsWithIDs in class SimpleResultTreeImpl

### startDocument

    public void startDocument()
                       throws SAXException

  Overrides:
    startDocument in class SimpleResultTreeImpl

### endDocument

    public void endDocument()
                     throws SAXException

  Overrides:
    endDocument in class SimpleResultTreeImpl

### characters

    public void characters(java.lang.String str)
                    throws SAXException

  Overrides:
    characters in class SimpleResultTreeImpl

### characters

    public void characters(char[] ch,
                           int offset,
                           int length)
                    throws SAXException

  Overrides:
    characters in class SimpleResultTreeImpl

### setEscaping

    public boolean setEscaping(boolean escape)
                        throws SAXException

  Overrides:
    setEscaping in class SimpleResultTreeImpl

### startElement

    public void startElement(java.lang.String elementName)
                      throws SAXException

  Overrides:
    startElement in class EmptySerializer

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName)
                      throws SAXException

  Overrides:
    startElement in class EmptySerializer

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             Attributes attributes)
                      throws SAXException

  Overrides:
    startElement in class EmptySerializer

### endElement

    public void endElement(java.lang.String elementName)
                    throws SAXException

  Overrides:
    endElement in class EmptySerializer

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws SAXException

  Overrides:
    endElement in class EmptySerializer

### addUniqueAttribute

    public void addUniqueAttribute(java.lang.String qName,
                                   java.lang.String value,
                                   int flags)
                            throws SAXException

  Overrides:
    addUniqueAttribute in class EmptySerializer

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.String value)

  Overrides:
    addAttribute in class EmptySerializer

### namespaceAfterStartElement

    public void namespaceAfterStartElement(java.lang.String prefix,
                                           java.lang.String uri)
                                    throws SAXException

  Overrides:
    namespaceAfterStartElement in class EmptySerializer

### comment

    public void comment(java.lang.String comment)
                 throws SAXException

  Overrides:
    comment in class EmptySerializer

### comment

    public void comment(char[] chars,
                        int offset,
                        int length)
                 throws SAXException

  Overrides:
    comment in class EmptySerializer

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws SAXException

  Overrides:
    processingInstruction in class EmptySerializer

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)

  Implementation of the DTM interfaces
  Overrides:
    setFeature in class SimpleResultTreeImpl

### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.Object value)

  Overrides:
    setProperty in class SimpleResultTreeImpl

### getAxisTraverser

    public DTMAxisTraverser getAxisTraverser(int axis)

  Overrides:
    getAxisTraverser in class SimpleResultTreeImpl

### hasChildNodes

    public boolean hasChildNodes(int nodeHandle)

  Overrides:
    hasChildNodes in class SimpleResultTreeImpl

### getFirstChild

    public int getFirstChild(int nodeHandle)

  Overrides:
    getFirstChild in class SimpleResultTreeImpl

### getLastChild

    public int getLastChild(int nodeHandle)

  Overrides:
    getLastChild in class SimpleResultTreeImpl

### getAttributeNode

    public int getAttributeNode(int elementHandle,
                                java.lang.String namespaceURI,
                                java.lang.String name)

  Overrides:
    getAttributeNode in class SimpleResultTreeImpl

### getFirstAttribute

    public int getFirstAttribute(int nodeHandle)

  Overrides:
    getFirstAttribute in class SimpleResultTreeImpl

### getFirstNamespaceNode

    public int getFirstNamespaceNode(int nodeHandle,
                                     boolean inScope)

  Overrides:
    getFirstNamespaceNode in class SimpleResultTreeImpl

### getNextSibling

    public int getNextSibling(int nodeHandle)

  Overrides:
    getNextSibling in class SimpleResultTreeImpl

### getPreviousSibling

    public int getPreviousSibling(int nodeHandle)

  Overrides:
    getPreviousSibling in class SimpleResultTreeImpl

### getNextAttribute

    public int getNextAttribute(int nodeHandle)

  Overrides:
    getNextAttribute in class SimpleResultTreeImpl

### getNextNamespaceNode

    public int getNextNamespaceNode(int baseHandle,
                                    int namespaceHandle,
                                    boolean inScope)

  Overrides:
    getNextNamespaceNode in class SimpleResultTreeImpl

### getOwnerDocument

    public int getOwnerDocument(int nodeHandle)

  Overrides:
    getOwnerDocument in class SimpleResultTreeImpl

### getDocumentRoot

    public int getDocumentRoot(int nodeHandle)

  Overrides:
    getDocumentRoot in class SimpleResultTreeImpl

### getStringValue

    public XMLString getStringValue(int nodeHandle)

  Overrides:
    getStringValue in class SimpleResultTreeImpl

### getStringValueChunkCount

    public int getStringValueChunkCount(int nodeHandle)

  Overrides:
    getStringValueChunkCount in class SimpleResultTreeImpl

### getStringValueChunk

    public char[] getStringValueChunk(int nodeHandle,
                                      int chunkIndex,
                                      int[] startAndLen)

  Overrides:
    getStringValueChunk in class SimpleResultTreeImpl

### getExpandedTypeID

    public int getExpandedTypeID(java.lang.String namespace,
                                 java.lang.String localName,
                                 int type)

  Overrides:
    getExpandedTypeID in class SimpleResultTreeImpl

### getLocalNameFromExpandedNameID

    public java.lang.String getLocalNameFromExpandedNameID(int ExpandedNameID)

  Overrides:
    getLocalNameFromExpandedNameID in class SimpleResultTreeImpl

### getNamespaceFromExpandedNameID

    public java.lang.String getNamespaceFromExpandedNameID(int ExpandedNameID)

  Overrides:
    getNamespaceFromExpandedNameID in class SimpleResultTreeImpl

### getLocalName

    public java.lang.String getLocalName(int nodeHandle)

  Overrides:
    getLocalName in class SimpleResultTreeImpl

### getPrefix

    public java.lang.String getPrefix(int nodeHandle)

  Overrides:
    getPrefix in class SimpleResultTreeImpl

### getNamespaceURI

    public java.lang.String getNamespaceURI(int nodeHandle)

  Overrides:
    getNamespaceURI in class SimpleResultTreeImpl

### getNodeValue

    public java.lang.String getNodeValue(int nodeHandle)

  Overrides:
    getNodeValue in class SimpleResultTreeImpl

### getNodeType

    public short getNodeType(int nodeHandle)

  Overrides:
    getNodeType in class SimpleResultTreeImpl

### getLevel

    public short getLevel(int nodeHandle)

  Overrides:
    getLevel in class SimpleResultTreeImpl

### isSupported

    public boolean isSupported(java.lang.String feature,
                               java.lang.String version)

  Overrides:
    isSupported in class SimpleResultTreeImpl

### getDocumentBaseURI

    public java.lang.String getDocumentBaseURI()

  Overrides:
    getDocumentBaseURI in class SimpleResultTreeImpl

### setDocumentBaseURI

    public void setDocumentBaseURI(java.lang.String baseURI)

  Overrides:
    setDocumentBaseURI in class SimpleResultTreeImpl

### getDocumentSystemIdentifier

    public java.lang.String getDocumentSystemIdentifier(int nodeHandle)

  Overrides:
    getDocumentSystemIdentifier in class SimpleResultTreeImpl

### getDocumentEncoding

    public java.lang.String getDocumentEncoding(int nodeHandle)

  Overrides:
    getDocumentEncoding in class SimpleResultTreeImpl

### getDocumentStandalone

    public java.lang.String getDocumentStandalone(int nodeHandle)

  Overrides:
    getDocumentStandalone in class SimpleResultTreeImpl

### getDocumentVersion

    public java.lang.String getDocumentVersion(int documentHandle)

  Overrides:
    getDocumentVersion in class SimpleResultTreeImpl

### getDocumentAllDeclarationsProcessed

    public boolean getDocumentAllDeclarationsProcessed()

  Overrides:
    getDocumentAllDeclarationsProcessed in class SimpleResultTreeImpl

### getDocumentTypeDeclarationSystemIdentifier

    public java.lang.String getDocumentTypeDeclarationSystemIdentifier()

  Overrides:
    getDocumentTypeDeclarationSystemIdentifier in class SimpleResultTreeImpl

### getDocumentTypeDeclarationPublicIdentifier

    public java.lang.String getDocumentTypeDeclarationPublicIdentifier()

  Overrides:
    getDocumentTypeDeclarationPublicIdentifier in class SimpleResultTreeImpl

### getElementById

    public int getElementById(java.lang.String elementId)

  Overrides:
    getElementById in class SimpleResultTreeImpl

### supportsPreStripping

    public boolean supportsPreStripping()

  Overrides:
    supportsPreStripping in class SimpleResultTreeImpl

### isNodeAfter

    public boolean isNodeAfter(int firstNodeHandle,
                               int secondNodeHandle)

  Overrides:
    isNodeAfter in class SimpleResultTreeImpl

### isCharacterElementContentWhitespace

    public boolean isCharacterElementContentWhitespace(int nodeHandle)

  Overrides:
    isCharacterElementContentWhitespace in class SimpleResultTreeImpl

### isDocumentAllDeclarationsProcessed

    public boolean isDocumentAllDeclarationsProcessed(int documentHandle)

  Overrides:
    isDocumentAllDeclarationsProcessed in class SimpleResultTreeImpl

### isAttributeSpecified

    public boolean isAttributeSpecified(int attributeHandle)

  Overrides:
    isAttributeSpecified in class SimpleResultTreeImpl

### dispatchCharactersEvents

    public void dispatchCharactersEvents(int nodeHandle,
                                         ContentHandler ch,
                                         boolean normalize)
                                  throws SAXException

  Overrides:
    dispatchCharactersEvents in class SimpleResultTreeImpl

### dispatchToEvents

    public void dispatchToEvents(int nodeHandle,
                                 ContentHandler ch)
                          throws SAXException

  Overrides:
    dispatchToEvents in class SimpleResultTreeImpl

### getNode

    public Node getNode(int nodeHandle)

  Overrides:
    getNode in class SimpleResultTreeImpl

### needsTwoThreads

    public boolean needsTwoThreads()

  Overrides:
    needsTwoThreads in class SimpleResultTreeImpl

### getContentHandler

    public ContentHandler getContentHandler()

  Overrides:
    getContentHandler in class SimpleResultTreeImpl

### getLexicalHandler

    public LexicalHandler getLexicalHandler()

  Overrides:
    getLexicalHandler in class SimpleResultTreeImpl

### getEntityResolver

    public EntityResolver getEntityResolver()

  Overrides:
    getEntityResolver in class SimpleResultTreeImpl

### getDTDHandler

    public DTDHandler getDTDHandler()

  Overrides:
    getDTDHandler in class SimpleResultTreeImpl

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Overrides:
    getErrorHandler in class SimpleResultTreeImpl

### getDeclHandler

    public DeclHandler getDeclHandler()

  Overrides:
    getDeclHandler in class SimpleResultTreeImpl

### appendChild

    public void appendChild(int newChild,
                            boolean clone,
                            boolean cloneDepth)

  Overrides:
    appendChild in class SimpleResultTreeImpl

### appendTextChild

    public void appendTextChild(java.lang.String str)

  Overrides:
    appendTextChild in class SimpleResultTreeImpl

### getSourceLocatorFor

    public SourceLocator getSourceLocatorFor(int node)

  Overrides:
    getSourceLocatorFor in class SimpleResultTreeImpl

### documentRegistration

    public void documentRegistration()

  Overrides:
    documentRegistration in class SimpleResultTreeImpl

### documentRelease

    public void documentRelease()

  Overrides:
    documentRelease in class SimpleResultTreeImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.